package com.kxs.user.biz.constant.enums;

import lombok.Getter;
import lombok.RequiredArgsConstructor;

/**
 * 提款状态
 *
 * @author 没秃顶的码农
 * @date 2024-01-03
 */
@Getter
@RequiredArgsConstructor
public enum WithdrawalStatusEnum {


    BEING(0, "处理中"),
    SUCCESS(1, "提现成功"),
    FAILED(2, "提现失败"),
    NOT_APPLY_STATUS(0, "未提交代付"),
    APPLY_STATUS(1, "已提交代付");



    /**
     * 类型
     */
    private final Integer type;

    /**
     * 描述
     */
    private final String description;
}
